Bug 107422 - system locks up when writing to floppy (CPU_IDLE problem)
system locks up when writing to floppy (CPU_IDLE problem)
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-10-17 16:45 EDT by Andy Rysin
Modified: 2007-04-18 12:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andy Rysin 2003-10-17 16:45:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624

Description of problem:
Kernels starting (at least) 2.4.20 turn CONFIG_APM_CPU_IDLE option on by default
which causes ASUS P4S533-X and P4S533-MX motherboards to hang when writing to
floppy. Actually the option help says that some machine may hang and probably it
should not be on by default. Luckily I was able to fix that adding
"apm=idle_threshold=100" to the kernel parameters without recompiling the kernel.
It seems like on ASUS P4533 motherboards this option is unsafe so it must be
turned off.
Other way to make somehow these motherboards/BIOS blacklisted.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. load 2.4.20 kernel or later on ASUS P4S533-X or P4S533-MX
2. try to do e.g. mkdosfs /dev/fd0

Actual Results:  system hangs completely with no messages

Expected Results:  writing should be finished

Additional info:
Comment 1 Gerald Teschl 2004-03-16 09:28:38 EST
Same here. Happens with both redhat-9 (current errata) and fedora-1;-(
Comment 2 Bugzilla owner 2004-09-30 11:41:36 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.